# Sed script to add DJGPP specific issues to config.h.


$ a\
\
\
/* DGJPP-specific definitions */\
\
#ifdef __DJGPP__\
# include <sys/version.h>  /*  gcc no longer includes this by default.  */\
\
# if __DJGPP__ == 2 && __DJGPP_MINOR__ < 4\
#  ifndef EILSEQ\
#   define EILSEQ     41  /*  To match the value used in djdev204  */\
#  endif\
#  ifndef ELOOP\
#   define ELOOP      39  /*  To match the value used in djdev204  */\
#  endif\
\
/* DJGPP 2.03 does not provide the `pipe' function but DJGPP 2.04 does. */\
#  if defined(HAVE_PIPE) && HAVE_PIPE == 1\
#   undef  HAVE_PIPE\
#   define HAVE_PIPE  0\
#  endif\
# endif /*  __DJGPP__ == 2 && __DJGPP_MINOR__ < 4  */\
\
# ifndef EOPNOTSUPP\
#  define EOPNOTSUPP  95  /* Operation not supported on transport endpoint */\
# endif\
\
/*\
 *  Make sure that GNU gettext is\
 *  used and not conio gettext.\
 */\
# define __USE_GNU_GETTEXT  1\
\
# if defined (__GNUC__) && (__GNUC__ > 2 || (__GNUC__ == 2 && __GNUC_MINOR__ >= 8))\
#  define __gnuc_extension__  __extension__\
# else\
#  define __gnuc_extension__\
# endif\
#endif
